Bug 243991 - deskutils/recoll: update to 1.26.4
Summary: deskutils/recoll: update to 1.26.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://www.lesbonscomptes.com/recoll...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-08 20:58 UTC by jjuanino
Modified: 2020-06-29 08:48 UTC (History)
3 users (show)

See Also:


Attachments
deskutils/recoll: update to 1.26.4 (3.20 KB, patch)
2020-02-08 20:58 UTC, jjuanino
no flags Details | Diff
deskutils/recoll: update to 1.26.4 (3.98 KB, patch)
2020-06-17 21:32 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff
deskutils/recoll: update to 1.26.4 (4.03 KB, patch)
2020-06-20 18:18 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2020-02-08 20:58:55 UTC
Created attachment 211483 [details]
deskutils/recoll: update to 1.26.4

Hi, I send a patch to update recoll to 1.26.4 version. Take into account the following changes:

* Force dependency to python:3.5+, as 2.7 is deprecated. 
* audio/py-karaoke port is not compatible with python3, and as consequence, has been removed from the dependence list.


Changelog:

https://www.lesbonscomptes.com/recoll/release-1.26.html
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-16 12:14:57 UTC
There seems configure error: https://gist.github.com/779a36355adfdcb93c3ff277664316c0

Can you also fix it?
Comment 2 jjuanino 2020-06-17 21:32:13 UTC
Created attachment 215679 [details]
deskutils/recoll: update to 1.26.4

Hi, please try with the enclosed patch, applied on top of the last tree ports version. Regards.
Comment 3 Li-Wen Hsu freebsd_committer 2020-06-19 21:46:31 UTC
Sorry, still doesn't build in poudriere:

https://gist.github.com/854bd61c78e5be6319ad893beedb6c65
Comment 4 jjuanino 2020-06-20 18:18:51 UTC
Created attachment 215823 [details]
deskutils/recoll: update to 1.26.4

Hi, there is a missing dependency with pkg-config. I have added to USES sentence. Please try again with the attached patch. Regards.
Comment 5 Li-Wen Hsu freebsd_committer 2020-06-29 07:40:34 UTC
Committed, with minor fix to pkg-plist. Thanks!
Comment 6 commit-hook freebsd_committer 2020-06-29 07:40:47 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun 29 07:40:08 UTC 2020
New revision: 540759
URL: https://svnweb.freebsd.org/changeset/ports/540759

Log:
  Update to 1.26.4

  PR:		243991
  Submitted by:	jjuanino@gmail.com (maintainer)

Changes:
  head/deskutils/recoll/Makefile
  head/deskutils/recoll/distinfo
  head/deskutils/recoll/pkg-plist
Comment 7 Li-Wen Hsu freebsd_committer 2020-06-29 07:55:51 UTC
Does the python-chm support require this https://pypi.org/project/pychm/ ?
Comment 8 Alexey Dokuchaev freebsd_committer 2020-06-29 08:25:46 UTC
(In reply to Li-Wen Hsu from comment #7)
> Does the python-chm support require this https://pypi.org/project/pychm/
Apparently not, depending on libchm.so:misc/chmlib allows it to build all needed Python bindings.

I'm working on a larger patch which updates the port to version 1.27.3 which I'll send to maintainer via email.  I'll CC you on that.
Comment 9 Li-Wen Hsu freebsd_committer 2020-06-29 08:48:26 UTC
(In reply to Alexey Dokuchaev from comment #8)
Thank you, maybe a PR is more formal?